﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace scgms_mobile.Devices.Guardian.Packets
{
    class RequestBackfillRange
    {
        public static byte[] Build(uint seq_from, uint seq_to)
        {
            MemoryStream timeSyncBuf = new MemoryStream(1 + 4 + 4);
            using (BinaryWriter writer = new BinaryWriter(timeSyncBuf))
            {
                writer.Write((byte)Opcodes.REQUEST_BACKFILL_RANGE);
                writer.Write((uint)seq_from);
                writer.Write((uint)seq_to);
            }

            return timeSyncBuf.ToArray();
        }
    }
}
