﻿using System;
using System.Collections.Generic;
using System.Text;

namespace scgms_mobile.Devices.Generic
{
    public enum DeviceAdapterStatus
    {
        NotSelected,        // no sensor/transmitter selected
        Disconnected,       // disconnected, no sensor communicating
        Connecting,         // attempting to connect to a sensor
        Retrieving,         // retrieving basic info
        InitComm,           // initializing communication
        BackfillPhase,      // requesting value history
        Connected           // operational mode, reading values every N minutes, ...
    }
}
