﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace scgms_mobile.Devices.Guardian.Packets
{
    class SyncTime
    {
        public static byte[] Build(int time = 0)
        {
            MemoryStream timeSyncBuf = new MemoryStream(1 + 4 + 4);
            using (BinaryWriter writer = new BinaryWriter(timeSyncBuf))
            {
                writer.Write((byte)Opcodes.SYNC_TIME);
                writer.Write((int)0);

                if (time == 0)
                    time = (int) (DateTime.UtcNow.Subtract(new DateTime(1970, 1, 1))).TotalSeconds;

                writer.Write((int)time);
            }

            return timeSyncBuf.ToArray();
        }
    }
}
